<div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="32px">

  <img class="header-image" fxFlex="nogrow" src="assets/logo.png" width="300">

  <mat-card style="width: 800px">

    <mat-card-content>

      <div fxLayout="column" fxLayoutGap="16px">

        <div fxFlex="nogrow" fxLayout="row" fxLayoutGap="32px">
          <button (click)="requestPermission()" color="primary" fxFlex="nogrow" mat-raised-button>
            Request Permission
          </button>

          <button (click)="openInNewWindow()" color="accent" fxFlex="nogrow" mat-stroked-button>
            Open Firebase Console
          </button>
        </div>

        <mat-form-field *ngIf="token$ | async as token" appearance="fill" fxFlex="nogrow">
          <mat-label>FCM Token</mat-label>
          <input [ngModel]="token" matInput readonly>
          <button (cdkCopyToClipboardCopied)="copied()" [cdkCopyToClipboard]="token" mat-icon-button matPrefix>
            <mat-icon>content_copy</mat-icon>
          </button>
        </mat-form-field>

        <h2>Received Background Notifications:</h2>

        <p>To see the received background notification click <b>F12</b> and use the filter
          <i>[firebase-messaging-sw.js]</i>
          <button (cdkCopyToClipboardCopied)="copied()" cdkCopyToClipboard="[firebase-messaging-sw.js]" mat-icon-button
                  matPrefix>
            <mat-icon inline>content_copy</mat-icon>
          </button>
          in the <b>Console</b> tab.
        </p>

        <h2>Received Foreground Notifications:</h2>

        <mat-card *ngFor="let message of messages" fxFlex="nogrow">

          <mat-card-title>{{message.notification.title}}</mat-card-title>

          <mat-card-content>

            <div fxLayout="column" fxLayoutGap="32px">

              <p fxFlex="nogrow"><b>Body:</b> {{message.notification.body}}</p>

              <mat-expansion-panel fxFlex="nogrow">

                <mat-expansion-panel-header>
                  <mat-panel-title>Show raw data</mat-panel-title>
                </mat-expansion-panel-header>

                <div *matExpansionPanelContent>
                  <pre>{{ message | json }}</pre>
                </div>

              </mat-expansion-panel>


            </div>

          </mat-card-content>

        </mat-card>

      </div>

    </mat-card-content>

  </mat-card>
</div>
